Description

Buffer should also offer alternative method (Get) to ~operator that returns raw pointer.

The size could also be remembered and we should introduce Count() and IsEmpty() approach.

Something like:

dword length = ::GetShortPathName(static_cast<LPCTSTR>(path), nullptr, 0);

if(length == 0)

    return path;

Buffer<char> shortPathBuffer(length);

Could be easily refactor to:

Buffer<char> GetBufferForShortPath(const String& path)

{

    dword length = ::GetShortPathName(static_cast<LPCTSTR>(path), nullptr, 0);

    return Buffer<char> shortPathBuffer(length);

}

// The in the code:

Buffer<char> shortPathBuffer = GetBufferForShortPath(path);

if (shortPathBuffer.IsEmpty())

   return path;

else

    // Do something with the buffer...

History

#1 - 03/26/2017 02:53 PM - Zbigniew Rebacz

- Description updated

#2 - 03/26/2017 02:53 PM - Zbigniew Rebacz

- Subject changed from Buffer should offer Get method similar to One's method to Buffer should offer Get method similar to One's method. Coutn and 

IsEmpty should also be added.

#3 - 03/26/2017 02:58 PM - Zbigniew Rebacz

- Subject changed from Buffer should offer Get method similar to One's method. Coutn and IsEmpty should also be added. to Buffer class improvements 

(Get method that replace ~operator), count and empty methods.

- Description updated
#4 - 03/26/2017 02:59 PM - Zbigniew Rebacz

- Description updated

#5 - 04/09/2017 09:59 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

I disagree about Count. Rest is implemented.

#6 - 04/09/2017 03:47 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

OK - without count it could be. Approved!
